package com.company.tldrawflow.ui.component

import io.jmix.flowui.xml.layout.loader.AbstractComponentLoader

class SliderLoader : AbstractComponentLoader<Slider>() {
    override fun createComponent(): Slider {
        return factory.create(Slider::class.java)
    }

    override fun loadComponent() {
        loadInteger(element, "min") { value -> resultComponent.min = value }
        loadInteger(element, "max") { value -> resultComponent.max = value }
        loadInteger(element, "value") { value -> resultComponent.value = value }

        componentLoader().loadSizeAttributes(resultComponent, element)
    }
}