package com.company.tldrawflow.ui.component

import com.vaadin.flow.component.Component
import com.vaadin.flow.component.HasSize
import com.vaadin.flow.component.Tag
import com.vaadin.flow.component.dependency.CssImport
import com.vaadin.flow.component.dependency.JsModule
import com.vaadin.flow.component.dependency.NpmPackage
import com.vaadin.flow.dom.Element

@Tag("Tldraw")
//@NpmPackage(value = "tldraw", version = "3.4.1")
//@NpmPackage(value = "@sentry/cli", version = "2.25.0")
//@NpmPackage(value = "@yarnpkg/types", version = "^4.0.0")
//@NpmPackage(value = "cross-env", version = "^7.0.3")
//@NpmPackage(value = "esbuild", version = "^0.21.5")
//@NpmPackage(value = "mime", version = "^4.0.3")
//@NpmPackage(value = "purgecss", version = "^5.0.0")
//@NpmPackage(value = "svgo", version = "^3.0.2")

@NpmPackage(value = "loader-utils", version = "3.2.1")
@NpmPackage(value = "react", version = "18.2.0")
@NpmPackage(value = "react-dom", version = "18.2.0")
@NpmPackage(value = "react-scripts", version = "5.0.1")
@NpmPackage(value = "tldraw", version = "latest")
@NpmPackage(value = "@tldraw/sync", version = "latest")

//@NpmPackage(value = "@types/react", version = "18.2.38")
//@NpmPackage(value = "@types/react-dom", version = "18.2.15")
@NpmPackage(value = "typescript", version = "4.4.4")

@JsModule("./component/tldraw.js")

//@CssImport("./")
class TldrawComponent : Component(), HasSize {

    val VALUE_PROPERTY: String = "value"
    val MIN_PROPERTY: String = "min"
    val MAX_PROPERTY: String = "max"
    val SLIDE_CHANGED_EVENT: String = "custom-slide-changed"
//    fun setMin(i: Int): Element? {
//        return element.setProperty(MIN_PROPERTY, i.toDouble())
//    }
//
//    fun setMax(i: Int) {
//
//    }

    // Si tldraw a des propriétés spécifiques à exposer, les définir ici
}