package com.company.tldrawflow.ui.view

import com.company.tldrawflow.ui.component.Slider
import com.company.tldrawflow.ui.component.SliderLoader
import io.jmix.flowui.sys.registration.ComponentRegistration
import io.jmix.flowui.sys.registration.ComponentRegistrationBuilder
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration

@Configuration
open class SliderComponentRegistration {
    @Bean
    open fun slider(): ComponentRegistration {
        return ComponentRegistrationBuilder.create(Slider::class.java)
            .withComponentLoader("slider", SliderLoader::class.java)
            .build()
    }
}