package com.company.tldrawflow.ui.view

import com.company.tldrawflow.ui.component.TldrawComponent
import com.company.tldrawflow.ui.component.TldrawComponentLoader
import io.jmix.flowui.sys.registration.ComponentRegistration
import io.jmix.flowui.sys.registration.ComponentRegistrationBuilder
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration

@Configuration
open class TldrawComponentRegistration {

    @Bean
    open fun tldraw(): ComponentRegistration {
        return ComponentRegistrationBuilder.create(TldrawComponent::class.java)
            .withComponentLoader("tldrawComponent", TldrawComponentLoader::class.java)
            .build()
    }
}